Package wx :: Class ListItemAttr

[frames | no frames]

## Type ListItemAttr

    object --+
             |
            ListItemAttr

Proxy of C++ ListItemAttr class

Method Summary
ListItemAttr | `__init__(self, colText, colBack, font)`
| `__del__(self)`
| `AssignFrom(self, source)`
| `Destroy(self)`
Colour | `GetBackgroundColour(self)`
Font | `GetFont(self)`
Colour | `GetTextColour(self)`
bool | `HasBackgroundColour(self)`
bool | `HasFont(self)`
bool | `HasTextColour(self)`
| `SetBackgroundColour(self, colBack)`
| `SetFont(self, font)`
| `SetTextColour(self, colText)`

Property Summary
| `BackgroundColour`: See `GetBackgroundColour` and `SetBackgroundColour`
| `Font`: See `GetFont` and `SetFont`
| `TextColour`: See `GetTextColour` and `SetTextColour`
| `thisown`: The membership flag

Property Details

### BackgroundColour

See `GetBackgroundColour` and `SetBackgroundColour`

  Get Method:
    `GetBackgroundColour`(self)
  Set Method:
    `SetBackgroundColour`(self, colBack)

### Font

See `GetFont` and `SetFont`

  Get Method:
    `GetFont`(self)
  Set Method:
    `SetFont`(self, font)

### TextColour

See `GetTextColour` and `SetTextColour`

  Get Method:
    `GetTextColour`(self)
  Set Method:
    `SetTextColour`(self, colText)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:47 2007 | http://epydoc.sf.net